summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-05-06 10:06:19 +0200
committerMichał Górny <mgorny@gentoo.org>2021-05-06 10:21:52 +0200
commitc756115e6687f4895ea14b4078178afa3eabb843 (patch)
treefbad9ee5bb0e83a994107179499f421abe1a336a /dev-python
parentc85e96f360c0d42aa26798bcffef9e3c5f28e677 (diff)
downloadgentoo-c756115e6687f4895ea14b4078178afa3eabb843.tar.gz
gentoo-c756115e6687f4895ea14b4078178afa3eabb843.tar.bz2
gentoo-c756115e6687f4895ea14b4078178afa3eabb843.zip
dev-python/fastjsonschema: Bump to 2.15.1
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/fastjsonschema/Manifest1
-rw-r--r--dev-python/fastjsonschema/fastjsonschema-2.15.1.ebuild26
2 files changed, 27 insertions, 0 deletions
diff --git a/dev-python/fastjsonschema/Manifest b/dev-python/fastjsonschema/Manifest
index 2ee6693707dd..6ce7bcdbe127 100644
--- a/dev-python/fastjsonschema/Manifest
+++ b/dev-python/fastjsonschema/Manifest
@@ -1 +1,2 @@
DIST python-fastjsonschema-2.15.0.tar.gz 35225 BLAKE2B 43b5dce109b0b25db4906b13223ede61b9f9eee9acb05b207d3cd11e0cc1d3740674c4e29709ce55dca8b4964643942be0959267d0228a71ff8fb535ccc5de17 SHA512 3323c085e79e1a465e807ef972ecd3f09811e232a36abc16d6b2e3e2ac5cc343edf2610e18d18b64fdd555d640c0ef1dd3417e268b5c62738f82680a404a300a
+DIST python-fastjsonschema-2.15.1.tar.gz 35384 BLAKE2B 89b9be7a9dcb8b22634dcfb54abec7b5709805b7087558af93b4cbca3c71a0b876956060aac0d0e7f4467db1bb38e6a587025c1c219613a661fb0d9e656b81e0 SHA512 7eb4d512eac03e258d670f6d448c5aeb74e20f892a08fa84a0412fd9c99cdc6412d4daa74bc09f9fe933a973a81227dae36125766e64f3c5b01106435ca5d70f
diff --git a/dev-python/fastjsonschema/fastjsonschema-2.15.1.ebuild b/dev-python/fastjsonschema/fastjsonschema-2.15.1.ebuild
new file mode 100644
index 000000000000..a14b649f59d6
--- /dev/null
+++ b/dev-python/fastjsonschema/fastjsonschema-2.15.1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} )
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Fast JSON schema validator for Python"
+HOMEPAGE="https://github.com/horejsek/python-fastjsonschema/"
+SRC_URI="
+ https://github.com/horejsek/python-fastjsonschema/archive/v${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+ rm -r tests/benchmarks || die
+}